Index: /mods/wpsg_mod_export.class.php
===================================================================
--- /mods/wpsg_mod_export.class.php	(revision 7799)
+++ /mods/wpsg_mod_export.class.php	(revision 7804)
@@ -734,136 +734,136 @@
 					P.`export_type` = '".wpsg_q($type)."'  
 			");
-			
-		} // public function getProfile($type)
-
-		/**
-		 * Erstellt die CSV und gibt den Pfad zur erstellten Datei zurÃŒck (FÃŒr einen Produktexport)
-		 * 
-		 * @param $profil_id
-		 * @param array $arOrderFilter
-		 */
-		private function handleExportProductCSV($profil_id, $arProductFilter = array()) 
-		{
-			 
-			$this->loadFields(); 
-			
-			$arData = wpsg_product::find($arProductFilter); 
-
-            $tmpfname = tempnam($this->getTmpFilePath(), "wpsg");
-            $filehandler = fopen($tmpfname, 'w');
-            
-            $profil = $this->loadProfil($profil_id);
-            
-            $arExportData = array();
-            
-            if ($profil['csv_fieldnames'] == '1')
-            {
-                
-                $row = array();
-                
-                foreach ($profil['fields'] as $f)
-                {
-                    
-                    $row[] = $f['name'];
-                    
-                }
-                
-                $arExportData[] = $row;
-                
-            }
-            
-            foreach ($arData as $oProduct) 
-            {
-                
-				$row = array();
-				                        
-				foreach ($profil['fields'] as $f)
-				{
-
-					$row[] = $this->getValue($f, $profil['field_delimiter'], false, $oProduct->id);
-														
-				}
-
-                $arExportData[] = $row; 
-                                
-            } // foreach arData
-             
-            foreach ($arExportData as $row)
-            {
-                
-                fputcsv($filehandler, $row, $profil['field_delimiter'], $profil['field_enclosure'], $profil['field_escape']);
-                                    
-            }
-            
-            fclose($filehandler);
-            
-            // In ISO wandeln
-            if ($profil['file_encoding'] == self::ENCODING_ISO88591)
-            {
-                
-                file_put_contents($tmpfname, utf8_decode(file_get_contents($tmpfname)));
-                                        
-            }
-                        
-            return $tmpfname;
-			
-		} // private function handleExportProductXML($profil_id, $arOrderFilter = array())
-		
+
+        } // public function getProfile($type)
+
         /**
-		 * Erstellt die CSV und gibt den Pfad zur erstellten Datei zurÃŒck (FÃŒr einen Bestellexport)
-         * 
+         * Erstellt die CSV und gibt den Pfad zur erstellten Datei zurÃŒck (FÃŒr einen Produktexport)
+         *
          * @param $profil_id
          * @param array $arOrderFilter
          */
-		private function handleExportCSV($profil_id, $arOrderFilter = array())
-		{
-			
-			$this->loadFields();
-			
-			$arData = wpsg_order::find($arOrderFilter, false); 
-												
+        private function handleExportProductCSV($profil_id, $arProductFilter = array())
+        {
+
+            $this->loadFields();
+
+            $arData = wpsg_product::find($arProductFilter);
+
             $tmpfname = tempnam($this->getTmpFilePath(), "wpsg");
             $filehandler = fopen($tmpfname, 'w');
-            
+
             $profil = $this->loadProfil($profil_id);
-            
+
             $arExportData = array();
-            
+
             if ($profil['csv_fieldnames'] == '1')
             {
-                
+
                 $row = array();
-                
+
                 foreach ($profil['fields'] as $f)
                 {
-                    
+
                     $row[] = $f['name'];
-                    
-                }
-                
+
+                }
+
                 $arExportData[] = $row;
-                
-            }
-            
+
+            }
+
+            foreach ($arData as $oProduct)
+            {
+
+                $row = array();
+
+                foreach ($profil['fields'] as $f)
+                {
+
+                    $row[] = $this->getValue($f, $profil['field_delimiter'], false, $oProduct->id);
+
+                }
+
+                $arExportData[] = $row;
+
+            } // foreach arData
+
+            foreach ($arExportData as $row)
+            {
+
+                fputcsv($filehandler, $row, $profil['field_delimiter'], $profil['field_enclosure'], $profil['field_escape']);
+
+            }
+
+            fclose($filehandler);
+
+            // In ISO wandeln
+            if ($profil['file_encoding'] == self::ENCODING_ISO88591)
+            {
+
+                file_put_contents($tmpfname, utf8_decode(file_get_contents($tmpfname)));
+
+            }
+
+            return $tmpfname;
+
+        } // private function handleExportProductXML($profil_id, $arOrderFilter = array())
+
+        /**
+         * Erstellt die CSV und gibt den Pfad zur erstellten Datei zurÃŒck (FÃŒr einen Bestellexport)
+         *
+         * @param $profil_id
+         * @param array $arOrderFilter
+         */
+        private function handleExportCSV($profil_id, $arOrderFilter = array())
+        {
+
+            $this->loadFields();
+
+            $arData = wpsg_order::find($arOrderFilter, false);
+
+            $tmpfname = tempnam($this->getTmpFilePath(), "wpsg");
+            $filehandler = fopen($tmpfname, 'w');
+
+            $profil = $this->loadProfil($profil_id);
+
+            $arExportData = array();
+
+            if ($profil['csv_fieldnames'] == '1')
+            {
+
+                $row = array();
+
+                foreach ($profil['fields'] as $f)
+                {
+
+                    $row[] = $f['name'];
+
+                }
+
+                $arExportData[] = $row;
+
+            }
+
             foreach ($arData as $order_id) {
-                
-				$row = array();
-				
+
+                $row = array();
+
                 if ($profil['order_online'] == '1')
                 {
-                
-                    foreach ($profil['fields'] as $f) 
+
+                    foreach ($profil['fields'] as $f)
                     {
 
                         $row[] = $this->getValue($f, $profil['field_delimiter'], $order_id);
-                        
-                    }
-                    
-                    $arExportData[] = $row; 
-                    
-                }
-                else 
-                {
-                    
+
+                    }
+
+                    $arExportData[] = $row;
+
+                }
+                else
+                {
+
                     $arProdukte = $this->db->fetchAssoc("
                         SELECT 
